Module ij
Package ij.plugin

# Class EventListener

java.lang.Object
ij.plugin.EventListener

All Implemented Interfaces:
  `CommandListener`, `RoiListener`, `IJEventListener`, `ImageListener`, `PlugIn`

public class EventListener extends Object implements PlugIn, IJEventListener, ImageListener, RoiListener, CommandListener
This plugin implements the Plugins/Utilities/Monitor Events command. By implementing the IJEventListener, CommandListener, ImageListener and RoiListener interfaces, it is able to monitor foreground and background color changes, tool switches, Log window closings, command executions, image window openings, closings and updates, and ROI changes.

## Field Summary

### Fields inherited from interface ij.IJEventListener

`BACKGROUND_COLOR_CHANGED, COLOR_PICKER_CLOSED, FOREGROUND_COLOR_CHANGED, LOG_WINDOW_CLOSED, TOOL_CHANGED`

### Fields inherited from interface ij.gui.RoiListener

`COMPLETED, CREATED, DELETED, EXTENDED, MODIFIED, MOVED`

## Constructor Summary

Constructors
Constructor
Description
`EventListener()`

## Method Summary

Modifier and Type
Method
Description
`String`
`commandExecuting(String command)`
`void`
`eventOccurred(int eventID)`
`void`
`imageClosed(ImagePlus imp)`
`void`
`imageOpened(ImagePlus imp)`
`void`
`imageSaved(ImagePlus imp)`
`void`
`imageUpdated(ImagePlus imp)`
`void`
`roiModified(ImagePlus img, int id)`
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EventListener

public EventListener()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### eventOccurred

public void eventOccurred(int eventID)

Specified by:
  `eventOccurred` in interface `IJEventListener`

### imageOpened

public void imageOpened(ImagePlus imp)

Specified by:
  `imageOpened` in interface `ImageListener`

### imageClosed

public void imageClosed(ImagePlus imp)

Specified by:
  `imageClosed` in interface `ImageListener`

### imageUpdated

public void imageUpdated(ImagePlus imp)

Specified by:
  `imageUpdated` in interface `ImageListener`

### imageSaved

public void imageSaved(ImagePlus imp)

### commandExecuting

public String commandExecuting(String command)

Specified by:
  `commandExecuting` in interface `CommandListener`

### roiModified

public void roiModified(ImagePlus img, int id)

Specified by:
  `roiModified` in interface `RoiListener`